import { AxiosWrapper } from '@/utils/axios-wrapper'
import { get } from 'lodash-es'
const url = '/config'
const axios = new AxiosWrapper()

export const ConfigStore = defineStore('config', () => {
  const query = async () => {
    const res = await axios.$get(url)
    return res
  }
  const update = async (payload) => {
    const id = get(payload, 'id', get(payload, '_id'))
    const res = await axios.$post(`${url}/${id}`, payload)
    return res
  }
  return { query, update }
})
